<?php
$EmailFrom = "posti@ratsastajankunto.fi";
$EmailTo = "info@webpoint.fi";

$EmailToAnne = "anne.hyttinen@ratsastajankunto.fi";
$EmailToLiitto = "nina.kaipio@ratsastus.fi";

$testaajan_sposti = $_POST["testaajan_sposti"];

$lista = $_POST;

$joukkueenJohtaja = $_POST["sposti"];

$avaimet = array_keys($lista);
//$lista = json_decode($lista);

$Msg = '<html><head></head><body>';

$Msg = '<h2>Kuntohaasteeseen ilmoittautuminen</h2><br>';

for($i=1; $i < count($avaimet); $i++) 
{
	if(isset($lista[$avaimet[$i]]))
	{
		$Msg .= $lista[$avaimet[$i]];
		$Msg .= "<br>";
	}
}




$Msg .= "</body></html>";

if (true && strpos($joukkueenJohtaja,'@') !== false) 
{

	// validation
	$validationOK=true;
	if (!$validationOK) {
	  print "<meta http-equiv=\"refresh\" content=\"0;URL=error.htm\">";
	  exit;
	}

	$Subject = "Kuntohaasteeseen ilmoittautuminen";

	// prepare email Msg text
	

	$headers = 'MIME-Version: 1.0' . "\r\n";
	$headers .= 'Content-Type: text/html; charset=UTF-8' . "\r\n";
	$headers .= "Reply-To: ". $EmailFrom . "\r\n";
	$headers .= "From: " . $EmailFrom . " \r\n";
	$headers .= 'X-Mailer: PHP/' . phpversion();

	//Toisen sählöpostin lähetys

	$joukkueenJohtaja = str_replace('Joukkueenjohtajan sähköposti: ', '', $joukkueenJohtaja);

	// send email 
	$success = mail($EmailToAnne.",".$EmailToLiitto.",".$testaajan_sposti.",".$joukkueenJohtaja, $Subject, $Msg, $headers);
	//$success = mail("sami.t199090@gmail.com", $Subject, $Msg, $headers);
	// redirect to success page 
	if ($success){
	  
	  echo "Ilmoittautuminen onnistui";
	}
	else{
	  
	  echo "Jokin meni pieleen. Kokeile uudestaan tai ota yhteyttä kuntotestaajaasi.";
	}
}


else{
  
  echo 2;
}
?>